package es.uv.dagarcos.master.dto;

import java.time.Instant;

public class ShardEventRequest {

    private String shardId;
    private String playerId;
    private Instant timestamp;
    private String eventType;
    private String action;
    private Integer pointsDelta;
    private Boolean winner;
    private String payload;

    public ShardEventRequest(){}

    public ShardEventRequest(String shardId, String playerId, Instant timestamp, String eventType, String action,
            Integer pointsDelta, Boolean winner, String payload) {
        this.shardId = shardId;
        this.playerId = playerId;
        this.timestamp = timestamp;
        this.eventType = eventType;
        this.action = action;
        this.pointsDelta = pointsDelta;
        this.winner = winner;
        this.payload = payload;
    }

    public String getShardId() {
        return shardId;
    }
    public void setShardId(String shardId) {
        this.shardId = shardId;
    }
    public String getPlayerId() {
        return playerId;
    }
    public void setPlayerId(String playerId) {
        this.playerId = playerId;
    }
    public Instant getTimestamp() {
        return timestamp;
    }
    public void setTimestamp(Instant timestamp) {
        this.timestamp = timestamp;
    }
    public String getEventType() {
        return eventType;
    }
    public void setEventType(String eventType) {
        this.eventType = eventType;
    }
    public String getAction() {
        return action;
    }
    public void setAction(String action) {
        this.action = action;
    }
    public Integer getPointsDelta() {
        return pointsDelta;
    }
    public void setPointsDelta(Integer pointsDelta) {
        this.pointsDelta = pointsDelta;
    }
    public Boolean getWinner() {
        return winner;
    }
    public void setWinner(Boolean winner) {
        this.winner = winner;
    }
    public String getPayload() {
        return payload;
    }
    public void setPayload(String payload) {
        this.payload = payload;
    }

    
}